package com.zipcoder.payment;

import java.util.Arrays;

public class PaymentPresenter {


    public String toString(Payment[] pay){
           Arrays.sort(pay);
        StringBuilder build = new StringBuilder();

           for(Payment o : pay){
               o.getId();
               o.getPayerName();
               o.getShortDescription();


               build.append(o.getShortDescription() + "\n");

           }
        return build.toString();

    }

    public String toStringByPayerName(Payment[] pay){

        Arrays.sort(pay, new PaymentSortByPayer());
        StringBuilder build = new StringBuilder();

        for(Payment o : pay){
            o.getId();
            o.getPayerName();
            o.getShortDescription();


            build.append(o.getShortDescription() + "\n");

        }
        return build.toString();


    }
    public String toStringById(Payment[] pay){

        Arrays.sort(pay, (Payment o1,Payment o2) -> Long.compare(o1.getId(),o2.getId()));    //LAMBDA FUNCTION


        StringBuilder build = new StringBuilder();

        for(Payment o : pay){


            build.append(o.getShortDescription() + "\n");

        }
        return build.toString();
    }



}
