package com.zipcoder.payment;

public class Paypal implements Payment{
    private long id;
    private String name;
    private String email;

public Paypal(long id, String name, String email){
    this.id = id;
    this.name = name;
    this.email = email;

}
public Paypal(){


}

    public long getId() {
        return id;
    }
    public void setId(long id){
        this.id=id;

    }

    public String getPayerName() {
        return name;
    }

    public void setPayerName(String name){
        this.name = name;

    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email){
        this.email = email;

    }

    public String getShortDescription() {
        return "Paypal " + getPayerName() + " " + getEmail();
    }


    public int compareTo(Payment o) {

        if(this.getShortDescription().compareTo(o.getShortDescription())== 0){
            return 0;
        }
        else if(this.getShortDescription().compareTo(o.getShortDescription()) < 0){
            return -1;
        }
        else if(this.getShortDescription().compareTo(o.getShortDescription())>0){
            return 1;
        }
        else{
            return 101010;
        }

    }
}
