package com.zipcoder.payment;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class PaypalTest {
    Paypal pay = new Paypal();
    Check check = new Check();
    CreditCard credit = new CreditCard();

    @Test
    public void compareToCheck(){
        int expected = 1;

        int actual = pay.compareTo(check);

        assertEquals(expected,actual);

    }
    @Test
    public void compareToPP(){
        int expected = 0;

        int actual = 0;


        assertEquals(expected,actual);

    }

    @Test
    public void compareToCC(){
        int expected = 1;

        int actual = pay.compareTo(credit);

        assertEquals(expected,actual);

    }


    @Test
    void getId() {
        long expected = 12345678;
        pay.setId(expected);
        long actual = pay.getId();

        Assertions.assertEquals(expected,actual);

    }


    @Test
    void getPayerName() {

        String expected = "shiva";
        pay.setPayerName(expected);
        String actual = pay.getPayerName();
        assertEquals(expected,actual);
    }


    @Test
    void getEmail(){

        String expected = "shiva@p.com";
        pay.setEmail(expected);
        String actual = pay.getEmail();
        assertEquals(actual,expected);

    }


    @Test
    void getShortDescription() {

        String name = "Tia Mowry";
        String email = "tia@mowry.com";
        pay.setEmail(email);
        pay.setPayerName(name);
        String expected = "Paypal " + name + " " + email;
        String actual = pay.getShortDescription();
        assertEquals(expected,actual);



    }
}