package com.zipcoder.payment;

public class Check implements Payment {

    private long id;
    private String routingNum;
    private String accNum;
    private String name;
    private String last4;

    public Check(long id, String name, String routingNum, String accNum) {
        this.id = id;
        this.name = name;
        this.routingNum = routingNum;
        //this.accNum = accNum;
        this.accNum = getlast4(accNum);
    }

    public Check() {
    }

    public Check(long id, String name){
        this.id = id;
        this.name = name;

    }


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;

    }

    public String getAccNum() {
        return accNum;
    }

    public void setAccNum(String accNum) {
        this.accNum = accNum;
    }

    public String getRoutingNum() {
        return routingNum;
    }

    public void setRoutingNum(String routingNum) {
        this.routingNum = routingNum;
    }


    public void setPayerName(String name) {
        this.name = name;

    }

    public String getPayerName() {
        return name;
    }

    /*public void setLastFour(String num4){
        this.last4 = num4;
    }

    public String getlastFour(){

         return last4.substring(accNum.length()-4);


    }*/

    public String getlast4(String accNum){

        return accNum.replace(accNum.substring(0,accNum.length()-4),"");


    }




    public String getShortDescription() {
        return "Check " + getPayerName() + " " + "***" + getAccNum();
    }


    public int compareTo(Payment o) {


        if (this.getShortDescription().compareTo(o.getShortDescription()) == 0) {
            return 0;
        } else if (this.getShortDescription().compareTo(o.getShortDescription()) < 0) {
            return -1;
        } else if (this.getShortDescription().compareTo(o.getShortDescription()) > 0) {
            return 1;
        } else {
            return 101010;
        }
    }
}
